[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenuItem.SetChildOrder

Moves a menu item to the specified position in a menu.

## Declaration

Source position: menus.pp line 247

`protected procedure TMenuItem.SetChildOrder(`
`Child: TComponent;`
`Order: Integer`
`); override;`

## Arguments

`Child` |  | Menu item affected in the method.
`Order` |  | Value assigned to the MenuIndex for the menu item.

## Description

Stores the value in the Order parameter to the MenuIndex property in the Child menu item.

## See also

TComponent